package cn.iocoder.yudao.module.asset.dal.mysql.inspection;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.asset.dal.dataobject.inspection.InspectionTemplateItemDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 验车模板检查项 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface InspectionTemplateItemMapper extends BaseMapperX<InspectionTemplateItemDO> {

    default List<InspectionTemplateItemDO> selectByTemplateId(Long templateId) {
        return selectList(new LambdaQueryWrapperX<InspectionTemplateItemDO>()
                .eq(InspectionTemplateItemDO::getTemplateId, templateId)
                .orderByAsc(InspectionTemplateItemDO::getSort));
    }

    default int deleteByTemplateId(Long templateId) {
        return delete(new LambdaQueryWrapperX<InspectionTemplateItemDO>()
                .eq(InspectionTemplateItemDO::getTemplateId, templateId));
    }

}
